package com.smartmatic.waffle.domain.device;

import java.io.Serializable;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamAsAttribute;

@XStreamAlias("custom-attribute-definition-value")
public class CustomAttributeDefinitionValue implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 5363671983836409923L;

	@XStreamAlias("value")
	@XStreamAsAttribute
	private String value;

	@XStreamAlias("language")
	@XStreamAsAttribute
	private String language;

	public String getLanguage() {
		return this.language;
	}

	public void setLanguage(String language) {
		this.language = language;
	}

	public String getValue() {
		return this.value;
	}

	public void setValue(String value) {
		this.value = value;
	}
}
