#!/bin/sh

status=$(/etc/init.d/jboss status)

	if [ "$status" = "JBoss is not running" ]; then
		
		echo "Starting JBoss..."
		/etc/init.d/jboss start >/dev/null 2>&1 &
		
		sleep 5
		
		#Wait until Jboss is deployed
		max_wait=18
		waited=0
		while true
			do tail -n1 /opt/jboss/server/ecm/log/server.log | grep -q "Started in" && break
			sleep 10
			echo "JBoss Starting..."
			waited=$(( waited + 1 ))
			[ $waited -ge $max_wait ] && exit 1
		done
    else
        echo "Jboss is running"
    fi
    
