/**
 * LevelParameter.java
 *
 * $Revision: 1.3 $ ($Date: 2009-11-12 21:15:11 $)
 *
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.log.configuration;

/**
 * Class represent the level type parameter
 * 
 * @author Carlos Lameda (carlos.lameda@smartmatic.com)
 * @version 1.0 (Nov 11, 2009)
 */
public class LevelParameter extends ConfigurationParameter {

	/**
	 * Element name
	 */
	public static final String ELEMENT_LOCAL_NAME = "level";

	/**
	 * Default LevelParameter constructor
	 * 
	 * @param type
	 *            Element type
	 */
	public LevelParameter(String level) {
		super(ELEMENT_LOCAL_NAME, level, null, null, null, true);
	}

}
