/**
 * ConjunctionCriteria.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */

package com.smartmatic.waffle.persistence.search.criteria;

/**
 * Class that represents a conjunction.
 * 
 * @author Ithamar Torres
 */

public class ConjunctionCriteria extends JunctionCriteria {

	/**
	 * Holds the serialization id of the class
	 */

	private static final long serialVersionUID = -3210900203257296656L;

	/**
	 * Operator used in a conjunction.
	 * 
	 * @return the op
	 * @see com.smartmatic.waffle.persistence.search.criteria.JunctionCriteria#getOp()
	 */

	/**
	 * @inheritDoc
	 */
	@Override
	String getOp() {
		return " and ";
	}

}
