/**
 * @file   PartyNotFoundException.cxx
 * @brief  Implementation of PartyNotFoundException class.
 * @author manuel.arguelles
 * @date   Mar 27, 2018
 */

#include "PartyNotFoundException.hxx"
#include <Log/ISMTTLog.h>

using namespace Smartmatic::SAES::Exceptions::Voting;
using namespace Smartmatic::Log;

PartyNotFoundException::PartyNotFoundException(std::string message, std::string code, ISMTTLog* logger)
    : BaseException(message, code, logger)
{
}
