/**
 * @file	QRVoteInvalidFormatException.cpp
 * @brief	Implements the qr vote invalid format exception class.
 * @author	Youssef.tourkmani
 * @date	31/10/2012
 */

#include "Exceptions/Voting/Vote/QRVoteInvalidFormatException.h"

using namespace Smartmatic::System::Exception;
using namespace Smartmatic::SAES::Exceptions::Voting::Vote;

QRVoteInvalidFormatException::QRVoteInvalidFormatException ( std::string message, std::string code,
        Smartmatic::Log::ISMTTLog * logger ) : BaseException ( message, code, logger )
{

}
