/**
 * @file InitiatorSignal.cxx
 * @brief Implementation of the InitiatorSignal class.
 * @author Yadickson Soto
 * @date 03/08/2015
 */

#include "InitiatorSignal.hxx"

using namespace Smartmatic::SAES::Operation::Initiator;

InitiatorSignal::InitiatorSignal ( const InitializationStatus & status, bool finished )
    : status ( status ), finished ( finished )
{

}

InitiatorSignal::~InitiatorSignal()
{

}

InitializationStatus InitiatorSignal::getStatus()
{
    return status;
}

bool InitiatorSignal::isFinished()
{
    return finished;
}
