/*
 * EurnDiagnoseWidget.cxx
 *
 *  Created on: Nov 7, 2017
 *      Author: juanvalera
 */

#include "EurnDiagnoseWidget.hxx"
#include "EurnActionsWidget.hxx"
#include <Gui/Widgets/AbstractFactoryWidget.hxx>
#include <Gui/Widgets/Diagnose/EurnDetectedWidget.hxx>

using namespace Smartmatic::SAES::GUI::Widgets;

EurnDiagnoseWidget::EurnDiagnoseWidget()
    : WizardDiagnoseWidget ( Smartmatic::SAES::Common::Configuration::DeviceType::CONFIGURATION_EURN)
{
    WizardWidgetBase * detected = AbstractFactoryWidget::createEurnDetectedWidget();
    WizardWidgetBase * actions = new EurnActionsWidget();

    wizardVector.push_back ( detected );
    wizardVector.push_back ( actions );
}

EurnDiagnoseWidget::~EurnDiagnoseWidget()
{

}
