/*
 * EurnDiagnoseWidget.hxx
 *
 *  Created on: Nov 7, 2017
 *      Author: juanvalera
 */

#ifndef EURNDIAGNOSEWIDGET_HXX_
#define EURNDIAGNOSEWIDGET_HXX_

#include <Gui/Widgets/Diagnose/WizardDiagnoseWidget.hxx>

namespace Smartmatic
{
    namespace SAES
    {
        namespace GUI
        {
            namespace Widgets
            {
                /**
                 * @class EurnDiagnoseWidget
                 * @brief eUrn diagnose widget
                 * @date 07/11/2017
                 * @author Juan Valera
                 */
                class EurnDiagnoseWidget : public Smartmatic::SAES::GUI::Widgets::WizardDiagnoseWidget
                {
                    public:

                        /**
                         * @fn EurnDiagnoseWidget();
                         * @brief Class constructor
                         * @date 07/11/2017
                         * @author Juan Valera
                         */
                        EurnDiagnoseWidget();
                        /**
                         * @fn virtual ~EurnDiagnoseWidget();
                         * @brief Class destructor
                         * @date 07/11/2017
                         * @author Juan Valera
                         */
                        virtual ~EurnDiagnoseWidget();
                };
            }
        }
    }
}
#endif /* EURNDIAGNOSEWIDGET_HXX_ */
