/**
 * @file PMInitiatorWidget.cxx
 * @brief Body class president machine initiator widget
 * @date 04/10/2012
 * @author Yadickson Soto
 */

#include "PMInitiatorWidget.hxx"
#include <Operation/MachineOperationManager.hxx>

using namespace Smartmatic::SAES::GUI::Widgets;
using namespace Smartmatic::SAES::Operation::Initiator;
using namespace Smartmatic::SAES::Operation;

PMInitiatorWidget::PMInitiatorWidget ( ProgressWidget * progress, IMachineInitiator * initiator )
    : InitiatorWidget ( progress, initiator )
{
    MachineOperationManager::getInstance()->setMachineInitiator ( initiator );
}

PMInitiatorWidget::~PMInitiatorWidget()
{
}
