/**
 * @file	functionality-initiator.h
 * @brief	Declares the functionality initiator class.
 * @author	Youssef.tourkmani
 * @date	01/11/2012
 */


#ifndef _FUNCTIONALITY_INITIATOR_H_
#define _FUNCTIONALITY_INITIATOR_H_

#include <Operation/Authenticator/IAuthenticator.hxx>

namespace Smartmatic
{
    namespace SAES
    {
        namespace GUI
        {
            namespace Operation
            {
                /**
                 * @class	FunctionalityInitiator
                 * @brief	Manage the initiator functionality.
                 * @author	Fsilva
                 * @date	28/04/2011
                 */

                class FunctionalityInitiator
                {

                    public:

                        /**
                         * @fn	static void FunctionalityInitiator::Register();
                         * @brief	Registers this object.
                         * @author	Fsilva
                         * @date	28/04/2011
                         */

                        static void Register();

                    protected:

                    private:

                };
            }
        }
    }
}

#endif // _FUNCTIONALITY_INITIATOR_H_
