/**
 * @file MOCK_PROGRESS_WIDGET_HXX.hxx
 * @date 31/01/2017
 * @author Juan Valera
 */

#ifndef MOCK_PROGRESS_WIDGET_HXX_
#define MOCK_PROGRESS_WIDGET_HXX

#include <gtkmm.h>
#include <Gui/Widgets/ProgressWidget.hxx>
#include <Operation/ImageResourcePath.hxx>

class MockProgressWidget : public Smartmatic::SAES::GUI::Widgets::ProgressWidget
{
    public:

	    MockProgressWidget ()
        :Smartmatic::SAES::GUI::Widgets::ProgressWidget()
        {
        }

        virtual ~MockProgressWidget ()
        {
        }

        void setWidget ( Gtk::Widget * mainWidget )
        {
        }

        void setInfoTitle ( std::string text )
        {
        }

        void setInfoText ( std::string text )
        {
        }

        void setImage ( Smartmatic::SAES::GUI::Operation::ImageResourcePath::Resource image )
        {
        }

        void initialize()
        {
        }

        void dispose()
        {
        }
};

#endif /* MOCK_PROGRESS_WIDGET_HXX_ */
