#ifndef _MOCK_BARCODE_READER_DEVICE_H_
#define _MOCK_BARCODE_READER_DEVICE_H_

#include <Devices/BarcodeReaderDevice.hxx>

class MockBarcodeReaderDevice: public Smartmatic::SAES::HW::Devices::BarcodeReaderDevice
{
    public:

        MockBarcodeReaderDevice ( Smartmatic::SAES::HW::Connections::IConnection * connection,
                                  bool processSendCommand, bool processSendConfigurationCommand )
            : Smartmatic::SAES::HW::Devices::BarcodeReaderDevice ( connection )
        {
            this->processSendCommand = processSendCommand;
            this->processSendConfigurationCommand = processSendConfigurationCommand;

        }

        virtual ~MockBarcodeReaderDevice()
        {
        }
};

#endif // _MOCK_BARCODE_READER_DEVICE_H_
