/**
 * @file MockSAESHWConfigurationManager.hxx
 * @date 05/02/2014
 * @author Yadickson Soto
 */

#ifndef MOCK_SAES_HW_CONF_MANAGER_HXX_
#define MOCK_SAES_HW_CONF_MANAGER_HXX_

#include <Configuration/s-a-e-s-hardware-conf-manager.h>

class MockSAESHWConfigurationManager : public Smartmatic::SAES::HW::Configuration::SAESHardwareConfigurationManager
{
    public:

        MockSAESHWConfigurationManager ()
        {
        }

        virtual ~MockSAESHWConfigurationManager ()
        {
        }

        virtual void initialize()
        {
            loadDefault();
            Smartmatic::SAES::HW::Configuration::SAESHardwareConfigurationManager::initialize();
        }
};

#endif /* MOCK_SAES_HW_CONF_MANAGER_HXX_ */
