/**
 * @file StoreMockP168AConfManager.hxx
 * @date 01/07/2015
 * @author Yadickson Soto
 */

#ifndef MOCK_ABLED_CONF_MANAGER_HXX_
#define MOCK_ABLED_CONF_MANAGER_HXX_

#include <Configuration/P168AConfigurationManager.hxx>

class StoreMockP168AConfManager : public Smartmatic::SAES::HW::Configuration::P168AConfigurationManager
{
    public:

        StoreMockP168AConfManager ()
        {
            config.setSerialMachineFile ( "" );
            config.setAbleDButtonsFile ( "" );
        }

        virtual ~StoreMockP168AConfManager ()
        {

        }

        virtual Smartmatic::SAES::HW::Configuration::P168ADeviceConfiguration & getP168ADeviceConfiguration()
        {
            return config;
        }

        Smartmatic::SAES::HW::Configuration::P168ADeviceConfiguration config;
};

#endif /* MOCK_ABLED_CONF_MANAGER_HXX_ */
