/**
 * @file StoreMockSerialPathConfManager.hxx
 * @date 01/07/2015
 * @author Yadickson Soto
 */

#ifndef MOCK_SERIAL_PATH_CONF_MANAGER_HXX_
#define MOCK_SERIAL_PATH_CONF_MANAGER_HXX_

#include <Configuration/SerialPathConfigurationManager.hxx>

class StoreMockSerialPathConfManager : public Smartmatic::SAES::HW::Configuration::SerialPathConfigurationManager
{
    public:

        StoreMockSerialPathConfManager ()
        {
            config.setP168ASerialPathScript ( "" );
            config.setSABSerialPathScript ( "" );
        }

        virtual ~StoreMockSerialPathConfManager ()
        {

        }

        virtual Smartmatic::SAES::HW::Configuration::SerialPathConfiguration & getSerialPathConfiguration()
        {
            return config;
        }

        Smartmatic::SAES::HW::Configuration::SerialPathConfiguration config;
};

#endif /* MOCK_SERIAL_PATH_CONF_MANAGER_HXX_ */
