/**
 * @file SystemPipeProcess.cxx
 * @brief Body class to process pipe console process.
 * @date 06/02/2014
 * @author Yadickson Soto
 */

#include "SystemPipeProcess.hxx"
#include <stdio.h>

using namespace Smartmatic::System::Runtime;
using namespace Smartmatic::System::IO;

SystemPipeProcess::SystemPipeProcess ()
    : PipeFile ()
{

}

SystemPipeProcess::~SystemPipeProcess()
{

}

void * SystemPipeProcess::getFileHandle ( const std::string & command )
{
    return popen ( command.c_str(), "r" );
}
