/**
 * @file ImportCapture.cxx
 * @brief Body class import screen capture
 * @date 14/03/2013
 * @author Yadickson Soto
 */

#include "ImportCapture.hxx"
#include <Configuration/s-m-t-t-g-u-i-conf-manager.h>

using namespace Smartmatic::Graphics::Capture;
using namespace Smartmatic::GUI::Configuration;

ImportCapture::ImportCapture()
    : ICapture ( "import" )
{
    m_command = SMTTGUIConfigurationManager::getInstance()->getScreenCaptureType ( CaptureType::CONFIGURATION_IMPORT ).getCommand();
}

ImportCapture::~ImportCapture()
{

}
