/**
 * @file SmartmaticBasicFrame.cxx
 * @brief Body basic frame widget class
 * @date 25/04/2013
 * @author Yadickson Soto
 */

#include "SmartmaticBasicFrame.hxx"

#define ACCESSIBLE_TYPE "frame" ///< accessible type

using namespace Smartmatic::GUI::Widgets;

SmartmaticBasicFrame::SmartmaticBasicFrame()
    : Gtk::Frame(), Smartmatic::GUI::Operation::AccessibleNameWidget ( ACCESSIBLE_TYPE )
{
    Smartmatic::GUI::Operation::AccessibleNameWidget::accessibleWidget = this;
}

SmartmaticBasicFrame::SmartmaticBasicFrame ( BaseObjectType * cobject, const Glib::RefPtr<Gtk::Builder> & refBuilder )
    : Gtk::Frame ( cobject ), Smartmatic::GUI::Operation::AccessibleNameWidget ( ACCESSIBLE_TYPE )
{
    Smartmatic::GUI::Operation::AccessibleNameWidget::accessibleWidget = this;
}

SmartmaticBasicFrame::~SmartmaticBasicFrame()
{
}


