/**
 * @file SmartmaticRadioButtonVerticalGroup.cxx
 * @brief Body class smartmatic radio button vertical group
 * @date 16/10/2013
 * @author Yadickson Soto
 */

#include "SmartmaticRadioButtonVerticalGroup.hxx"

using namespace Smartmatic::GUI::Widgets;

SmartmaticRadioButtonVerticalGroup::SmartmaticRadioButtonVerticalGroup()
    : SmartmaticBasicVBox(), SmartmaticRadioButtonGroup ()
{

}

SmartmaticRadioButtonVerticalGroup::SmartmaticRadioButtonVerticalGroup ( BaseObjectType * cobject, const Glib::RefPtr<Gtk::Builder> & refBuilder )
    : SmartmaticBasicVBox ( cobject, refBuilder ), SmartmaticRadioButtonGroup ()
{

}

SmartmaticRadioButtonVerticalGroup::~SmartmaticRadioButtonVerticalGroup()
{

}

void SmartmaticRadioButtonVerticalGroup::add ( SmartmaticRadioButton * widget )
{
    pack_start ( *widget );
    show_all_children();
}
