/**
 * SortedLanguageForVotingDevice.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.ecm.client.ui.controller;

import java.util.Comparator;

import com.smartmatic.waffle.domain.i18n.LanguageForVotingDeviceData;

/**
 * Class used to compare Language for Voting Device data.
 */
public class SortedLanguageForVotingDevice implements
		Comparator<LanguageForVotingDeviceData> {

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.util.Comparator#compare(java.lang.Object, java.lang.Object)
	 */
	@Override
	public int compare(LanguageForVotingDeviceData o1,
			LanguageForVotingDeviceData o2) {
		return o1.getPrecedence() - o2.getPrecedence();
	}

}
