/**
 * ContestContestClassDTO.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.ecm.data.transfer.objects;

import java.util.List;

import com.smartmatic.waffle.domain.contest.ContestClassData;
import com.smartmatic.waffle.domain.contest.ContestData;

/**
 * Class that holds a list of contest for each contest class.
 */
public class ContestContestClassDTO {

    /** The contest class. */
    private ContestClassData contestClass;

    /** The contests. */
    private List<ContestData> contests;

    /**
     * Getter of the contestClass property.
     * 
     * @return contestClass property value
     */
    public ContestClassData getContestClass() {
        return this.contestClass;
    }

    /**
     * Setter of the contestClass property.
     * 
     * @param contestClass
     *            property value
     */
    public void setContestClass(ContestClassData contestClass) {
        this.contestClass = contestClass;
    }

    /**
     * Getter of the contests property.
     * 
     * @return contests property value
     */
    public List<ContestData> getContests() {
        return this.contests;
    }

    /**
     * Setter of contests property.
     * 
     * @param contests
     *            property value
     */
    public void setContests(List<ContestData> contests) {
        this.contests = contests;
    }

}
