#!/bin/sh

JBOSS_HOME=/opt/jboss

cd /opt/ecm

if [ ! -d log ]; then
  mkdir log
fi

java -Xms1536m -Xmx1536m -XX:MaxPermSize=256m -XX:-UseCompressedOops -Dlog4j.debug=true -Dlog4j.configuration=file:./data/conf/app-client-log4j.xml -Djava.naming.factory.initial=org.jnp.interfaces.NamingContextFactory -Djava.naming.provider.url=jnp://localhost:1099 -classpath $JBOSS_HOME/client/jbossall-client.jar:$JBOSS_HOME/client/jboss-metadata.jar:$JBOSS_HOME/lib/jboss-classloader.jar:$JBOSS_HOME/lib/jboss-classloading-spi.jar:$JBOSS_HOME/lib/jboss-classloading-vfs.jar:$JBOSS_HOME/lib/jboss-classloading.jar:$JBOSS_HOME/lib/jboss-dependency.jar:$JBOSS_HOME/lib/jboss-reflect.jar:$JBOSS_HOME/lib/jboss-kernel.jar:$JBOSS_HOME/lib/jboss-vfs.jar:$JBOSS_HOME/common/lib/jboss-ejb3-core.jar:$JBOSS_HOME/common/lib/jboss-jca.jar:$JBOSS_HOME/common/lib/servlet-api.jar:$JBOSS_HOME/lib/jboss-xml-binding.jar:$JBOSS_HOME/common/lib/hibernate-core.jar:$JBOSS_HOME/server/ecm/lib/apache-log4j-extras-1.1.jar:$JBOSS_HOME/server/ecm/lib/appframework-1.03.jar:$JBOSS_HOME/server/ecm/lib/bcmail-jdk15on-1.62.jar:$JBOSS_HOME/server/ecm/lib/bcprov-jdk15on-1.62.jar:$JBOSS_HOME/server/ecm/lib/bcpkix-jdk15on-1.62.jar:$JBOSS_HOME/server/ecm/lib/commons-codec-1.8.jar:$JBOSS_HOME/server/ecm/lib/commons-collections-3.2.2.jar:$JBOSS_HOME/server/ecm/lib/commons-digester-2.1.jar:$JBOSS_HOME/server/ecm/lib/commons-io-2.4.jar:$JBOSS_HOME/server/ecm/lib/commons-lang-2.6.jar:$JBOSS_HOME/server/ecm/lib/cups4j.runnable-0.6.4.jar:$JBOSS_HOME/server/ecm/lib/dom4j-1.6.1.jar:$JBOSS_HOME/server/ecm/lib/isorelax-20020414.jar:$JBOSS_HOME/server/ecm/lib/itextpdf-5.5.12.jar:$JBOSS_HOME/server/ecm/lib/itext-4.2.1.jar:$JBOSS_HOME/server/ecm/lib/jasperreports-5.5.0.jar:$JBOSS_HOME/server/ecm/lib/jaxen-1.1.4.jar:$JBOSS_HOME/server/ecm/lib/jide-oss-3.5.6.jar:$JBOSS_HOME/server/ecm/lib/msv-core-2013.6.1.jar:$JBOSS_HOME/server/ecm/lib/swing-worker-1.1.jar:$JBOSS_HOME/server/ecm/lib/xmlsec-1.5.5.jar:$JBOSS_HOME/server/ecm/lib/xpp3-1.1.4c.jar:$JBOSS_HOME/server/ecm/lib/xstream-1.4.4.jar org.jboss.client.AppClientMain -jbossclient com.smartmatic.waffle.ecm.client.ECMApp -launchers org.jboss.ejb3.client.ClientLauncher -j2ee.clientName com.smartmatic.waffle.ecm.client > log/execution.log
