/**
 * PersistenceServiceLocalStub.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.ecm.service.stub;

import java.util.Collection;
import java.util.List;
import java.util.Map;

import com.smartmatic.waffle.domain.IBaseDataObject;
import com.smartmatic.waffle.domain.user.IUser;
import com.smartmatic.waffle.lang.BaseException;
import com.smartmatic.waffle.persistence.search.SearchExpression;
import com.smartmatic.waffle.persistence.service.spec.IPersistenceServiceLocal;

/**
 * Stub class for IPersistenceServiceLocal interface.
 */
public class PersistenceServiceLocalStub implements IPersistenceServiceLocal {

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * com.smartmatic.waffle.persistence.service.spec.IPersistenceService#persist
	 * (com.smartmatic.waffle.domain.IBaseDataObject,
	 * com.smartmatic.waffle.domain.user.IUser)
	 */
	@Override
	public <T extends IBaseDataObject> T persist(T component, IUser user)
			throws BaseException {
		return null;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * com.smartmatic.waffle.persistence.service.spec.IPersistenceService#update
	 * (com.smartmatic.waffle.domain.IBaseDataObject,
	 * com.smartmatic.waffle.domain.user.IUser)
	 */
	@Override
	public <T extends IBaseDataObject> T update(T component, IUser user)
			throws BaseException {
		return null;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * com.smartmatic.waffle.persistence.service.spec.IPersistenceService#remove
	 * (com.smartmatic.waffle.domain.IBaseDataObject,
	 * com.smartmatic.waffle.domain.user.IUser)
	 */
	@Override
	public void remove(IBaseDataObject component, IUser user)
			throws BaseException {
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see com.smartmatic.waffle.persistence.service.spec.IPersistenceService#
	 * searchObjects(com.smartmatic.waffle.persistence.search.SearchExpression,
	 * com.smartmatic.waffle.domain.user.IUser)
	 */
	@Override
	public Collection searchObjects(SearchExpression searchExpression,
			IUser user) throws BaseException {
		return null;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see com.smartmatic.waffle.persistence.service.spec.IPersistenceService#
	 * searchObjects(com.smartmatic.waffle.persistence.search.SearchExpression,
	 * java.lang.String[], com.smartmatic.waffle.domain.user.IUser)
	 */
	@Override
	public Collection searchObjects(SearchExpression searchExpression,
			String[] path, IUser user) throws BaseException {
		return null;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see com.smartmatic.waffle.persistence.service.spec.IPersistenceService#
	 * countObjects(com.smartmatic.waffle.persistence.search.SearchExpression,
	 * com.smartmatic.waffle.domain.user.IUser)
	 */
	@Override
	public int countObjects(SearchExpression searchExpression, IUser user)
			throws BaseException {
		return 0;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see com.smartmatic.waffle.persistence.service.spec.IPersistenceService#
	 * searchObject(com.smartmatic.waffle.persistence.search.SearchExpression,
	 * java.lang.String[], com.smartmatic.waffle.domain.user.IUser)
	 */
	@Override
	public Object searchObject(SearchExpression searchExpression,
			String[] path, IUser user) throws BaseException {
		return null;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see com.smartmatic.waffle.persistence.service.spec.IPersistenceService#
	 * searchObject(com.smartmatic.waffle.persistence.search.SearchExpression,
	 * com.smartmatic.waffle.domain.user.IUser)
	 */
	@Override
	public Object searchObject(SearchExpression searchExpression, IUser user)
			throws BaseException {
		return null;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see com.smartmatic.waffle.persistence.service.spec.IPersistenceService#
	 * searchObject(com.smartmatic.waffle.persistence.search.SearchExpression,
	 * java.lang.String[], boolean, com.smartmatic.waffle.domain.user.IUser)
	 */
	@Override
	public Object searchObject(SearchExpression searchExpression,
			String[] path, boolean recursive, IUser user) throws BaseException,
			RuntimeException {
		return null;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see com.smartmatic.waffle.persistence.service.spec.IPersistenceService#
	 * searchObjects(com.smartmatic.waffle.persistence.search.SearchExpression,
	 * java.lang.String[], boolean, com.smartmatic.waffle.domain.user.IUser)
	 */
	@Override
	public Collection searchObjects(SearchExpression searchExpression,
			String[] path, boolean recursive, IUser user) throws BaseException,
			RuntimeException {
		return null;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see com.smartmatic.waffle.persistence.service.spec.IPersistenceService#
	 * searchPagedObjects
	 * (com.smartmatic.waffle.persistence.search.SearchExpression,
	 * com.smartmatic.waffle.domain.user.IUser, int, int)
	 */
	@Override
	public Collection searchPagedObjects(SearchExpression searchExpression,
			IUser user, int pageNumber, int pageSize) throws BaseException {
		return null;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see com.smartmatic.waffle.persistence.service.spec.IPersistenceService#
	 * searchPagedObjects
	 * (com.smartmatic.waffle.persistence.search.SearchExpression,
	 * java.lang.String[], com.smartmatic.waffle.domain.user.IUser, int, int)
	 */
	@Override
	public Collection searchPagedObjects(SearchExpression searchExpression,
			String[] path, IUser user, int pageNumber, int pageSize)
			throws BaseException {
		return null;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see com.smartmatic.waffle.persistence.service.spec.IPersistenceService#
	 * executeUpdateNativeQuery(java.lang.String)
	 */
	@Override
	public int executeUpdateNativeQuery(String query) throws BaseException {
		return 0;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see com.smartmatic.waffle.persistence.service.spec.IPersistenceService#
	 * executeUpdateNativeQuery(java.lang.String, java.lang.Object[])
	 */
	@Override
	public int executeUpdateNativeQuery(String query, Object... parameters)
			throws BaseException {
		return 0;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see com.smartmatic.waffle.persistence.service.spec.IPersistenceService#
	 * executeUpdateQuery(java.lang.String, java.lang.Object[])
	 */
	@Override
	public int executeUpdateQuery(String query, Object... parameters)
			throws BaseException {
		return 0;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see com.smartmatic.waffle.persistence.service.spec.IPersistenceService#
	 * executeNativeQuery(java.lang.String)
	 */
	@Override
	public List<Object> executeNativeQuery(String query) throws BaseException {
		return null;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see com.smartmatic.waffle.persistence.service.spec.IPersistenceService#
	 * executeNativeQuery(java.lang.String, java.lang.Object[])
	 */
	@Override
	public List<Object> executeNativeQuery(String query, Object... parameters)
			throws BaseException {
		return null;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see com.smartmatic.waffle.persistence.service.spec.IPersistenceService#
	 * executeNativeQueryNamedParameters(java.lang.String, java.util.Map)
	 */
	@Override
	public List<Object> executeNativeQueryNamedParameters(String query,
			Map<String, ?> parameters) throws BaseException, RuntimeException {
		return null;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see com.smartmatic.waffle.persistence.service.spec.IPersistenceService#
	 * searchByKey(java.lang.Class, java.lang.Object,
	 * com.smartmatic.waffle.domain.user.IUser)
	 */
	@Override
	public <T extends IBaseDataObject> T searchByKey(Class<T> theClass,
			Object pk, IUser user) throws BaseException {
		return null;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see com.smartmatic.waffle.persistence.service.spec.IPersistenceService#
	 * searchByKey(java.lang.Class, java.lang.Object, java.lang.String[],
	 * com.smartmatic.waffle.domain.user.IUser)
	 */
	@Override
	public <T extends IBaseDataObject> T searchByKey(Class<T> theClass,
			Object pk, String[] pathsToInit, IUser user) throws BaseException {
		return null;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see com.smartmatic.waffle.persistence.service.spec.IPersistenceService#
	 * searchByKey(java.lang.Class, java.lang.Object, java.lang.String[],
	 * boolean, com.smartmatic.waffle.domain.user.IUser)
	 */
	@Override
	public <T extends IBaseDataObject> T searchByKey(Class<T> theClass,
			Object pk, String[] pathsToInit, boolean recursive, IUser user)
			throws BaseException {
		return null;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * com.smartmatic.waffle.persistence.service.spec.IPersistenceService#find
	 * (java.lang.Class, java.lang.Object, java.lang.String[], boolean)
	 */
	@Override
	public <T extends IBaseDataObject> T find(Class<T> entityClass, Object pk,
			String[] path, boolean recursive) throws BaseException {
		return null;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see com.smartmatic.waffle.persistence.service.spec.IPersistenceService#
	 * cleanSecondLevelCache()
	 */
	@Override
	public void cleanSecondLevelCache() {
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see com.smartmatic.waffle.persistence.service.spec.IPersistenceService#
	 * cleanCollectionSecondLevelCache()
	 */
	@Override
	public void cleanCollectionSecondLevelCache() {
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see com.smartmatic.waffle.persistence.service.spec.IPersistenceService#
	 * batchPersist(com.smartmatic.waffle.domain.IBaseDataObject,
	 * com.smartmatic.waffle.domain.user.IUser)
	 */
	@Override
	public <T extends IBaseDataObject> T batchPersist(T bcomponent, IUser user)
			throws BaseException, RuntimeException {
		return null;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * com.smartmatic.waffle.persistence.service.spec.IPersistenceService#flush
	 * ()
	 */
	@Override
	public void flush() {
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * com.smartmatic.waffle.persistence.service.spec.IPersistenceService#detach
	 * (java.lang.Object)
	 */
	@Override
	public void detach(Object entity) {
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * com.smartmatic.waffle.persistence.service.spec.IPersistenceService#deleteById
	 * (java.lang.Class, java.lang.Number)
	 */
	@Override
	public void deleteById(Class<? extends IBaseDataObject> entityClass,
			Number pk) throws BaseException {
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see com.smartmatic.waffle.persistence.service.spec.IPersistenceService#
	 * getReference(java.lang.Class, java.lang.Object)
	 */
	@Override
	public <T extends IBaseDataObject> T getReference(Class<T> entityClass,
			Object pk) {
		return null;
	}

}
