/**
 * IGenerator.java
 *
 * $Revision: 1.3 $ ($Date: 2011-04-06 05:08:29 $)
 *
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.generator.spec;

/**
 * Interface that defines the contract that a generator has to fulfill to be
 * able to be invoked by the application when it is required that a field its
 * generated
 * 
 * @author Ithamar Torres
 * @version 1.0 (05/04/2005)
 */
public interface IGenerator {

	/**
	 * Class that has to generate the information of the object.
	 * 
	 * @return The data generator
	 */
	public Object generate();

}
