/**
 * @file   EmlChecksumException.cxx
 * @brief  Implementation of EmlChecksumException class.
 * @author manuel.arguelles
 * @date   Feb 12, 2018
 */

#include "EmlChecksumException.hxx"
#include <Log/ISMTTLog.h>

using namespace Smartmatic::SAES::Exceptions::Voting::Eml;
using namespace Smartmatic::Log;

EmlChecksumException::EmlChecksumException(std::string message, std::string code, ISMTTLog* logger)
    : BaseException(message, code, logger)
{
}

