/*
 * MockSessionIDManager.hxx
 *
 *  Created on: 21/05/2013
 *      Author: soto
 */

#ifndef MOCK_SESSION_ID_MANAGER_HXX_
#define MOCK_SESSION_ID_MANAGER_HXX_

#include <mockpp/mockpp.h>
#include <mockpp/chaining/ChainableMockObject.h>
#include <mockpp/chaining/ChainingMockObjectSupport.h>
#include <Voting/IDManager/SessionIDManager.hxx>

class MockSessionIDManager : public Smartmatic::SAES::Voting::SessionIDManager,
    public MOCKPP_NS::ChainableMockObject
{
    public:

        MockSessionIDManager ()
            : MOCKPP_NS::ChainableMockObject ( MOCKPP_PCHAR ( "MockSessionIDManager" ), 0 )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE_EXT1 ( getID, ext )
        {

        }

        MOCKPP_CHAINABLE_EXT1 ( MockSessionIDManager, std::string, getID, Smartmatic::SAES::Voting::OperationStatus *,
                                std::string, ext, Smartmatic::SAES::Voting::OperationStatus * );
};

#endif /* MOCK_SESSION_ID_MANAGER_HXX_ */
