/*
 * MockHashVoteManager.hxx
 *
 *  Created on: 21/05/2013
 *      Author: soto
 */

#ifndef MOCK_HASH_VOTE_MANAGER_HXX_
#define MOCK_HASH_VOTE_MANAGER_HXX_

#include <mockpp/mockpp.h>
#include <mockpp/chaining/ChainableMockObject.h>
#include <mockpp/chaining/ChainingMockObjectSupport.h>
#include <Voting/Vote/HashVoteManager.hxx>

class MockHashVoteManager : public Smartmatic::SAES::Voting::Vote::HashVoteManager,
    public MOCKPP_NS::ChainableMockObject
{
    public:

        MockHashVoteManager ()
            : MOCKPP_NS::ChainableMockObject ( MOCKPP_PCHAR ( "MockHashVoteManager" ), 0 )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE_EXT1 ( getHash, ext )
        {

        }

        MOCKPP_CHAINABLE_EXT1 ( MockHashVoteManager,
                                std::string, getHash, const std::string &,
                                std::string, ext, const std::string * );
};

#endif /* MOCK_HASH_VOTE_MANAGER_HXX_ */
