/**
 * @file	saes-temporary-directories.cc
 * @brief	saes temporary directories class.
 * @author	Youssef.tourkmani
 * @date	30/10/2012
 */


#include "saes-temporary-directories.h"
#include <System/IO/Path.h>

using namespace Smartmatic::SAES::Runtime::Environment;
using namespace Smartmatic::System::IO;

SaesTemporaryDirectories::SaesTemporaryDirectories()
    : SaesInstallDirectories()
{
}

SaesTemporaryDirectories::~SaesTemporaryDirectories()
{
}

std::string SaesTemporaryDirectories::getWorkingDirectoryFolderName()
{
    return Path::Combine ( SaesDirectories::getProjectName(), workingPath );
}
