/**
 * @file   A4517LEDStripManager.cxx
 * @brief  Implementation of A4517LEDStripManager class.
 * @author manuel.arguelles
 * @date   Nov  2, 2017
 */

#include "A4517LEDStripManager.hxx"
#include <Operation/Devices/PDBController.hxx>
#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

using namespace Smartmatic::SAES::Operation::Devices;

A4517LEDStripManager::A4517LEDStripManager()
{

}

A4517LEDStripManager::~A4517LEDStripManager()
{
}

bool A4517LEDStripManager::turnAllLedsOn()
{
    bool success = PDBController::getInstance()->turnAllLedsOn();
    return success;
}

bool A4517LEDStripManager::turnAllLedsOff()
{
    bool success = PDBController::getInstance()->turnAllLedsOff();
    return success;
}
