/**
 * @file	VotingMemento.cxx
 * @brief	voting memento class.
 * @author	Youssef.tourkmani
 * @date	01/11/2012
 */

#include "VotingOriginator.hxx"

using namespace Smartmatic::SAES::Operation::Voting;

VotingMemento::VotingMemento ( VotingState * state, int position )
{
    this->state = state;
    this->position = position;
}

VotingMemento::~VotingMemento ()
{
    delete state;
}

VotingState * VotingMemento::getState()
{
    return state;
}

int VotingMemento::getPosition()
{
    return this->position;
}
