/**
 * @file AlarmBoxDiagnoseWidget.hxx
 * @brief Header Alarmbox diagnose widget class
 * @date 05/09/2013
 * @author Yadickson Soto
 */

#ifndef ALARM_BOX_DIAGNOSEWIDGET_HXX_
#define ALARM_BOX_DIAGNOSEWIDGET_HXX_

#include <Gui/Widgets/Diagnose/WizardDiagnoseWidget.hxx>

namespace Smartmatic
{
    namespace SAES
    {
        namespace GUI
        {
            namespace Widgets
            {
                /**
                 * @class AlarmBoxDiagnoseWidget
                 * @brief Alarmbox diagnose widget
                 * @date 09/09/2013
                 * @author Yadickson Soto
                 */
                class AlarmBoxDiagnoseWidget : public Smartmatic::SAES::GUI::Widgets::WizardDiagnoseWidget
                {
                    public:

                        /**
                         * @fn AlarmBoxDiagnoseWidget();
                         * @brief Class constructor
                         * @date 09/09/2013
                         * @author Yadickson Soto
                         */
                        AlarmBoxDiagnoseWidget();
                        /**
                         * @fn virtual ~AlarmBoxDiagnoseWidget();
                         * @brief Class destructor
                         * @date 09/09/2013
                         * @author Yadickson Soto
                         */
                        virtual ~AlarmBoxDiagnoseWidget();
                };
            }
        }
    }
}
#endif /* ALARM_BOX_DIAGNOSEWIDGET_HXX_ */
