/**
 * @file XmlEnvelopedSignature.cxx
 * @brief Body class for XmlEnvelopedSignature file.
 * @author  Eduardo Fernández
 * @date    10/10/2018
 */

#include "XmlEnvelopedSignature.hxx"

#include <System/Security/XmlDigitalSignature/XmlEnvelopedSignatureAlgorithm.hxx>

#include <memory>

using namespace Smartmatic::System::Security;

XmlEnvelopedSignature::XmlEnvelopedSignature()
{
    m_xmlSignatureAlgorithm.reset(new XmlEnvelopedSignatureAlgorithm());
}

XmlEnvelopedSignature::~XmlEnvelopedSignature()
{
}
