/**
 * @file XmlSecurityC.hxx
 * @brief Header class xml security c environment
 * @date 08/02/2013
 * @author Yadickson Soto
 */

#ifndef XMLSECURITYC_HXX_
#define XMLSECURITYC_HXX_

namespace Smartmatic
{
    namespace System
    {
        namespace Security
        {
            /**
             * @class XmlSecurityC
             * @brief class xml security c environment
             * @date 08/02/2013
             * @author Yadickson Soto
             */
            class XmlSecurityC
            {
                public:

                    /**
                     * @brief Method init process
                     * @date 08/02/2013
                     * @author Yadickson Soto
                     */
                    static void init();

                    /**
                     * @brief Method clear process
                     * @date 08/02/2013
                     * @author Yadickson Soto
                     */
                    static void clear();

                protected:

                    static bool flagInit; ///< flag init openssl
            };
        }
    }
}

#endif /* XMLSECURITYC_HXX_ */
