/*
 * MockConfigurationPersistenceManager.hxx
 *
 *  Created on: 02/12/2013
 *      Author: soto
 */

#ifndef MOCK_BASIC_FILE_HXX
#define MOCK_BASIC_FILE_HXX

#include <mockpp/mockpp.h>
#include <mockpp/chaining/ChainableMockObject.h>
#include <mockpp/chaining/ChainingMockObjectSupport.h>
#include <Configuration/configuration-persistence-manager.h>

class MockConfigurationPersistenceManager : public Smartmatic::Configuration::ConfigurationPersistenceManager,
    public MOCKPP_NS::ChainableMockObject
{
    public:

        MockConfigurationPersistenceManager ()
            : MOCKPP_NS::ChainableMockObject ( MOCKPP_PCHAR ( "MockConfigurationPersistenceManager" ), 0 )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_VOID_CHAINABLE_EXT1 ( Initialize, ext )
        {

        }
        MOCKPP_VOID_CHAINABLE_EXT1 ( MockConfigurationPersistenceManager,
                                     Initialize, const std::string &,
                                     ext, const std::string * );

};

#endif /* MOCK_FILE_HXX */
