/*
 * MockMsgDigestUtil.hxx
 *
 *  Created on: 11/11/2013
 *      Author: soto
 */

#ifndef MOCK_MSG_DIGEST_UTTIL_HXX_
#define MOCK_MSG_DIGEST_UTTIL_HXX_

#include <mockpp/mockpp.h>
#include <mockpp/chaining/ChainableMockObject.h>
#include <mockpp/chaining/ChainingMockObjectSupport.h>
#include <System/Security/Cryptography/MsgDigestUtil.h>

class MockMsgDigestUtil : public Smartmatic::System::Security::Cryptography::MsgDigestUtil,
    public MOCKPP_NS::ChainableMockObject
{
    public:

        explicit MockMsgDigestUtil ( Smartmatic::System::SafeBuffer & buffer )
            : Smartmatic::System::Security::Cryptography::MsgDigestUtil ( buffer ),
              MOCKPP_NS::ChainableMockObject ( MOCKPP_PCHAR ( "MockMsgDigestUtil" ), 0 )
              , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE_EXT1 ( mMapAlgName, ext )
        {

        }

        MOCKPP_CHAINABLE_EXT1 ( MockMsgDigestUtil,
                                const char *, mMapAlgName, Smartmatic::System::Security::Cryptography::MsgDigestUtil::DigestAlgType ,
                                const char *, ext, Smartmatic::System::Security::Cryptography::MsgDigestUtil::DigestAlgType );

        const char * getName ( Smartmatic::System::Security::Cryptography::MsgDigestUtil::DigestAlgType type )
        {
            return Smartmatic::System::Security::Cryptography::MsgDigestUtil::mMapAlgName ( type );
        }
};

#endif /* MOCK_MSG_DIGEST_UTTIL_HXX_ */
