/**
 * @file SmartmaticBasicEventBox.cxx
 * @brief Body basic event box widget class
 * @date 25/04/2013
 * @author Yadickson Soto
 */

#include "SmartmaticBasicEventBox.hxx"

#define ACCESSIBLE_TYPE "panel" ///< accessible type

using namespace Smartmatic::GUI::Widgets;

SmartmaticBasicEventBox::SmartmaticBasicEventBox()
    : Gtk::EventBox(), Smartmatic::GUI::Operation::AccessibleNameWidget ( ACCESSIBLE_TYPE )
{
    Smartmatic::GUI::Operation::AccessibleNameWidget::accessibleWidget = this;
}

SmartmaticBasicEventBox::SmartmaticBasicEventBox ( BaseObjectType * cobject, const Glib::RefPtr<Gtk::Builder> & refBuilder )
    : Gtk::EventBox ( cobject ), Smartmatic::GUI::Operation::AccessibleNameWidget ( ACCESSIBLE_TYPE )
{
    Smartmatic::GUI::Operation::AccessibleNameWidget::accessibleWidget = this;
}

SmartmaticBasicEventBox::~SmartmaticBasicEventBox()
{
}


