/**
 * @file SmartmaticRadioButtonHorizontalGroup.cxx
 * @brief Body class smartmatic radio button horizontal group
 * @date 16/10/2013
 * @author Yadickson Soto
 */

#include "SmartmaticRadioButtonHorizontalGroup.hxx"

using namespace Smartmatic::GUI::Widgets;

SmartmaticRadioButtonHorizontalGroup::SmartmaticRadioButtonHorizontalGroup()
    : SmartmaticBasicHBox(), SmartmaticRadioButtonGroup ()
{

}

SmartmaticRadioButtonHorizontalGroup::SmartmaticRadioButtonHorizontalGroup ( BaseObjectType * cobject, const Glib::RefPtr<Gtk::Builder> & refBuilder )
    : SmartmaticBasicHBox ( cobject, refBuilder ), SmartmaticRadioButtonGroup ()
{

}

SmartmaticRadioButtonHorizontalGroup::~SmartmaticRadioButtonHorizontalGroup()
{

}

void SmartmaticRadioButtonHorizontalGroup::add ( SmartmaticRadioButton * widget )
{
    pack_start ( *widget );
    show_all_children();
}
